Bug 17870 - Hardcoded RSYNC_OPTIONS in vzmigrate
: Hardcoded RSYNC_OPTIONS in vzmigrate
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/vzctl)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 17728
  Show dependency tree
 
Reported: 2008-11-13 09:19 by
Modified: 2009-04-10 05:59 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-11-13 09:19:32
В vzmigrate жёстко заданы опции для rsync
RSYNC_OPTIONS="-axH --delete --numeric-ids"

и их негде переопределить. Это плохо.
------- Comment #1 From 2009-04-10 05:44:31 -------
vzctl-3.0.23-alt3 -> sisyphus:

* Fri Apr 10 2009 Dmitry V. Levin <ldv@altlinux.org> 3.0.23-alt3

- Updated to vzctl-3.0.23-21-g2b97841.
- vznetaddbr: Fixed iface init code (Dmitry Lebkov; closes: #19546).
- vzmigrate (RSYNC_OPTIONS): Added -A -X options, made it redefinable
  (Vladimir Kamarzin; closes: #17870, #17871).
------- Comment #2 From 2009-04-10 05:59:30 -------
vzctl-3.0.23-alt3 -> 5.0:

* Fri Apr 10 2009 Dmitry V. Levin <ldv@altlinux.org> 3.0.23-alt3

- Updated to vzctl-3.0.23-21-g2b97841.
- vznetaddbr: Fixed iface init code (Dmitry Lebkov; closes: #19546).
- vzmigrate (RSYNC_OPTIONS): Added -A -X options, made it redefinable
  (Vladimir Kamarzin; closes: #17870, #17871).